Modern Warfare Mod 3 brings World in Conflict from the Cold War into the Modern Age. It also ups the ante on realism and authenticity in every role – Infantry, Armor, Support and Air, while trying our best to keep everything relatively balanced for fun and interesting gameplay.

Forum Thread
by member
  Posts  
MW Mod Version 3.5 Released! (Mods : WIC: Modern Warfare Mod 4 : Forum : General Mod Discussion : MW Mod Version 3.5 Released!) Locked
Thread Options
blahdy
blahdy Data-Linked AA-12
Nov 25 2012, 1:00pm Anchor

We're pleased to announce the completion and release of MW Mod 3.5 (codename: Kilter).

DOWNLOAD INSTALLER (Windows 7,8,Vista): Download.wicmwmod.com

Version 3.5 brings numerous changes as a transitional step to prepare the mod for the upcoming 4.0 release in the future. Some of the key changes introduced in 3.5 are as follows:

  • Complete, total re-write of the infantry role. Infantry is much more versatile and its vehicle transports (APCs) have improved firepower.
  • New Advanced Flight Modeling (AFM) for Tactical Ballistic Missiles.
  • New F/A-18E Super Hornet model for US SEAD aircraft.
  • New model for AIM-120C-7 missile.
  • Renamed FARP to FOB (Forward Operating Base). Mobile FARP is now provided with a helicopter to allow re-arming of attack choppers closer to the frontline. FOB is still required to spawn fixed-wing aircraft.
  • Numerous game performance and stability improvements.
  • Flexible Interceptor (FLINT) 2.5 Update: Adds physics simulation of gravity, angle-of-attack rendering for graphical animation, improved performance and increased maximum game world altitude ceiling to 1,000 wm.

The complete Change Log is available for review here: Moddb.com

Edited by: blahdy

Nov 25 2012, 5:53pm Anchor

Please post the download link the download section

blahdy
blahdy Data-Linked AA-12
Nov 25 2012, 6:54pm Anchor

It says right on the post: "DOWNLOAD INSTALLER"

ModDB news article will be posted in the coming day or two.

Nov 25 2012, 8:49pm Anchor

Niiiiiiiiiiice!
We've been waiting too long for this!

Edited by: cym104

Nov 29 2012, 3:31pm Anchor

So if I already have the mod, it will update?

blahdy
blahdy Data-Linked AA-12
Nov 29 2012, 9:56pm Anchor

No, you have to download new version.

Nov 30 2012, 7:15pm Anchor

Can you install this over a previous version?

blahdy
blahdy Data-Linked AA-12
Nov 30 2012, 8:20pm Anchor

It will just overwrite it. But it's recommended that you uninstall the first version first, then install the new one.

Nov 30 2012, 8:43pm Anchor

OK, thanks for the help! :)

Dec 10 2012, 3:12am Anchor

like i posted on the summery page that there isint a XP manual installer for the 3.5 version of the mod will you plan on adding a manual installer for the XP users or is that no longer gonna be available?

blahdy
blahdy Data-Linked AA-12
Dec 10 2012, 7:44am Anchor
Foamythesquirrel wrote:like i posted on the summery page that there isint a XP manual installer for the 3.5 version of the mod will you plan on adding a manual installer for the XP users or is that no longer gonna be available?

I'll find out soon on the manual install stuff.

Dec 10 2012, 3:26pm Anchor
Quote:I'll find out soon on the manual install stuff.

thank you

and i really hope there is one

Dec 14 2012, 12:19pm Anchor

Pantsir is not using it's cannon when engaging aircrafts at short range

Dec 19 2012, 1:34am Anchor

still no news on a manual install yet i see

o well

Dec 19 2012, 4:09am Anchor

just run the installer as if you're on nt6x and then copy all the extracted files over like you did before. tested and works.

Reply to Thread
click to sign in and post

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.